OpenJPH: ojph::local::coded_cb_header Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::coded_cb_header Struct Reference

`#include <ojph_codeblock.h>`

## Public Attributes
ui32 | pass_length [2]
ui32 | num_passes
ui32 | Kmax
ui32 | missing_msbs
coded_lists * | next_coded

## Static Public Attributes
static const int | prefix_buf_size = 8
static const int | suffix_buf_size = 16

## Detailed Description

Definition at line 115 of file ojph_codeblock.h.

## Member Data Documentation

## ◆ Kmax

ui32 ojph::local::coded_cb_header::Kmax

Definition at line 119 of file ojph_codeblock.h.

Referenced by ojph::local::precinct::parse().

## ◆ missing_msbs

ui32 ojph::local::coded_cb_header::missing_msbs

Definition at line 120 of file ojph_codeblock.h.

Referenced by ojph::local::precinct::parse(), and ojph::local::precinct::prepare_precinct().

## ◆ next_coded

coded_lists* ojph::local::coded_cb_header::next_coded

Definition at line 121 of file ojph_codeblock.h.

Referenced by ojph::local::precinct::parse(), ojph::local::precinct::prepare_precinct(), and ojph::local::precinct::write().

## ◆ num_passes

ui32 ojph::local::coded_cb_header::num_passes

Definition at line 118 of file ojph_codeblock.h.

Referenced by ojph::local::precinct::parse(), and ojph::local::precinct::prepare_precinct().

## ◆ pass_length

ui32 ojph::local::coded_cb_header::pass_length[2]

Definition at line 117 of file ojph_codeblock.h.

Referenced by ojph::local::precinct::parse(), and ojph::local::precinct::prepare_precinct().

## ◆ prefix_buf_size

const int ojph::local::coded_cb_header::prefix_buf_size = 8
| static

Definition at line 123 of file ojph_codeblock.h.

Referenced by ojph::local::bb_read_chunk(), and ojph::local::codeblock::decode().

## ◆ suffix_buf_size

const int ojph::local::coded_cb_header::suffix_buf_size = 16
| static

Definition at line 124 of file ojph_codeblock.h.

Referenced by ojph::local::bb_read_chunk().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_codeblock.h